﻿* Encoding: UTF-8.
*download data at http://madata.bib.uni-mannheim.de/333/3/B5FacetsRelig_Study3_data.sav

*Three most religious countries.
*Pakistan 151
*Philippines 156
*Indonesia 30.

DATASET COPY  Study3_most_relig_cnt.
DATASET ACTIVATE  Study3_most_relig_cnt.
FILTER OFF.
USE ALL.
SELECT IF (cnt_now  = 151 | cnt_now  = 156 | cnt_now  = 30).
EXECUTE.

COMPUTE cnt_sta = (1000000 * cnt_now) + statenum.
EXECUTE. 

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=cnt_sta
  /relig_sta=MEAN(relig).

SORT CASES  BY cnt_now.
SPLIT FILE SEPARATE BY cnt_now.

CROSSTABS statenum by relig_sta.
EXECUTE.

*Most religious states in three most religious countries:
*Pakistan 151: statenum 3
*Pakistan 151: statenum 5
*Pakistan 151: statenum 4
*Philippines 156: statenum 11
*Philippines 156: statenum 14
*Philippines 156: statenum 9
*Indonesia 30 : statenum 13
*Indonesia 30 : statenum 27.

DATASET COPY  Study3_most_relig_cnt_sta.
DATASET ACTIVATE  Study3_most_relig_cnt_sta.
FILTER OFF.
USE ALL.
SELECT IF (cnt_now  = 151 and statenum = 3 | cnt_now  = 151 and statenum = 5 | cnt_now  = 151 and statenum = 4 | 
                    cnt_now  = 156 and statenum = 11 | cnt_now  = 156 and statenum =  14 | cnt_now  = 156 and statenum = 9 | 
                    cnt_now  = 30 and statenum = 13 | cnt_now  = 30 and statenum = 27 ).
EXECUTE.

COMPUTE cnt_sta_ara = (10000000 * cnt_now) + (10000* statenum) + areanum.
EXECUTE. 

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=cnt_sta_ara
  /relig_city=MEAN(relig).

SORT CASES  BY cnt_sta.
SPLIT FILE SEPARATE BY cnt_sta.

CROSSTABS areanum by relig_city.
EXECUTE.

*Most religious cities in most religious states in three most religious countries:
*Pakistan 151: statenum 3: areanum 24
*Pakistan 151: statenum 5: areanum 50
*Pakistan 151: statenum 4: areanum 34
*Philippines 156: statenum 11: areanum 1141
*Philippines 156: statenum 14: areanum 1276
*Philippines 156: statenum 9: areanum 880
*Indonesia 30 : statenum 13: areanum 182
*Indonesia 30 : statenum 13: areanum 184
*Indonesia 30 : statenum 27: areanum 365.

FILTER OFF.
USE ALL.
SELECT IF   (cnt_now  = 151 and statenum = 3 and areanum = 24 | cnt_now  = 151 and statenum = 5 and areanum = 50 | 
                    cnt_now  = 151 and statenum = 4 and areanum = 34 | 
                    cnt_now  = 156 and statenum = 11 and areanum = 1141 | cnt_now  = 156 and statenum =  14 and areanum = 1276 | 
                    cnt_now  = 156 and statenum = 9 and areanum =  880 | 
                    cnt_now  = 30 and statenum = 13 and areanum = 182 | cnt_now  = 30 and statenum = 13 and areanum = 184 | 
                    cnt_now  = 30 and statenum = 27 and areanum =  365).
EXECUTE.

* N = 1,657

* save dataset.

SAVE OUTFILE = "B5FacetsRelig_Study3_data_mostrelig.sav".

*The dataset created with this script can also be downloaded at http://madata.bib.uni-mannheim.de/333/12/B5FacetsRelig_Study3_data_mostrelig.sav


*Three least religious countries.
*60 Denmark
*149 Norway
*187 Sweden.

DATASET COPY  Study3_least_relig_cnt.
DATASET ACTIVATE  Study3_least_relig_cnt.
FILTER OFF.
USE ALL.
SELECT IF (cnt_now  = 60 | cnt_now  = 149 | cnt_now  = 187).
EXECUTE.

COMPUTE cnt_sta = (1000000 * cnt_now) + statenum.
EXECUTE. 

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=cnt_sta
  /relig_sta=MEAN(relig).

SORT CASES  BY cnt_now.
SPLIT FILE SEPARATE BY cnt_now.

CROSSTABS statenum by relig_sta.
EXECUTE.

*Least religious states in three least religious countries:
*60 Denmark: statenum 1
*149 Norway: statenum 6, 16, 1
*187 Sweden: statenum 18, 15, 12.

DATASET COPY  Study3_least_relig_cnt_sta.
DATASET ACTIVATE  Study3_least_relig_cnt_sta.
FILTER OFF.
USE ALL.
SELECT IF ( cnt_now  = 60 and statenum = 1 
                 | cnt_now  = 149 and statenum = 6 | cnt_now  = 149 and statenum = 16  | cnt_now  = 149 and statenum = 1 
                 | cnt_now  = 187 and statenum = 18 | cnt_now  = 187 and statenum =  15 | cnt_now  = 187 and statenum = 12 ).
EXECUTE.

COMPUTE cnt_sta_ara = (1000000 * cnt_now) +(1000* statenum) +areanum.
EXECUTE. 

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=cnt_sta_ara
  /relig_city=MEAN(relig).

SORT CASES  BY cnt_sta.
SPLIT FILE SEPARATE BY cnt_sta.

CROSSTABS areanum by relig_city.
EXECUTE.

*Least religious cities in least religious states in three least religious countries:
*60 Denmark: statenum 1: citynum 1, 2, 5
*149 Norway: statenum 6: citynum 104
*149 Norway: statenum 16: citynum 362
*149 Norway: statenum 1: citynum 4
*187 Sweden: statenum 18: citynum 221
*187 Sweden: statenum 15: citynum 177
*187 Sweden: statenum 12: citynum 109.

DATASET COPY  Study3_least_relig_cnt_sta_city.
DATASET ACTIVATE  Study3_least_relig_cnt_sta_city.
FILTER OFF.
USE ALL.
SELECT IF (cnt_now  = 60 and statenum = 1  and areanum = 1 | cnt_now  = 60 and statenum = 1  and areanum = 2 | cnt_now  = 60 and statenum = 1  and areanum = 5
                 | cnt_now  = 149 and statenum = 6  and areanum = 104 | cnt_now  = 149 and statenum = 16  and areanum = 362 | cnt_now  = 149 and statenum = 1  and areanum = 4 
                 | cnt_now  = 187 and statenum = 18  and areanum = 221 | cnt_now  = 187 and statenum = 15  and areanum = 177 | cnt_now  = 187 and statenum = 12  and areanum = 109).
EXECUTE.

* N = 3,615

* save dataset.

SAVE OUTFILE = "B5FacetsRelig_Study3_data_leastrelig.sav".

*The dataset created with this script can also be downloaded at http://madata.bib.uni-mannheim.de/333/11/B5FacetsRelig_Study3_data_leastrelig.sav

